%define section free
%define gcj_support 1

Summary:        A Free Java-PDF library
Name:           itext
Version:        1.4.8
Release:        %mkrel 1
Epoch:          0
License:        LGPL
URL:            http://www.lowagie.com/iText/
Group:          Development/Java
Source0:        http://ovh.dl.sourceforge.net/itext/itext-src-%{version}.tar.gz
Source1:        itext-www-1.4.tar.bz2
Source2:        itext-1.4-manifest.mf
Patch0:         itext-escape-jpeg-java-trap.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant, ant-trax, xalan-j2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%else
BuildArch:      noarch
%endif

%description
iText is a library that allows you to generate PDF files on the fly. The 
iText classes are very useful for people who need to generate read-only, 
platform independent documents containing text, lists, tables and 
images. The library is especially useful in combination with Java(TM) 
technology-based Servlets: The look and feel of HTML is browser 
dependent; with iText and PDF you can control exactly how your servlet's 
output will look.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
API documentation for the %{name} package.

%package manual
Summary:        Documents for %{name}
Group:          Development/Java

%description manual
A programming manual for the %{name} package.

%prep
%setup -q -c -T -n %{name}
find . -type d -name CVS | xargs %{__rm} -rf
mkdir -p src/META-INF
(cd src
%{__tar} xf %{SOURCE0})
cp %{SOURCE2} src/META-INF/MANIFEST.MF
%{__tar} xf %{SOURCE1}
find . -name "*.jar" -exec rm {} \;
%patch0 -p0
%{__perl} -pi -e 's/<link.*$//' src/ant/site.xml

%build
pushd src
export CLASSPATH=
export OPT_JAR_LIST="ant/ant-trax xalan-j2 xalan-j2-serializer"
%ant jar javadoc tutorial lowagie.com
popd

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/bin/iText.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%{__perl} -pi -e 's/\r$//g' build/lowagie/*.{txt,xml}
%{__perl} -pi -e 's/\r$//g' build/lowagie/ant/*.xml
%{__perl} -pi -e 's/\r$//g' build/lowagie/ant/.ant.properties

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -a build/lowagie/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -a build/examples $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -a build/tutorial $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/MPL-1.1.txt
%doc %{_docdir}/%{name}-%{version}/lgpl.txt
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/*

# -----------------------------------------------------------------------------


%changelog
* Tue Dec 19 2006 David Walluck <walluck@mandriva.org> 1.4.8-1mdv2007.0
+ Revision: 100231
- 1.4.8

* Mon Dec 11 2006 David Walluck <walluck@mandriva.org> 0:1.4.7-1mdv2007.1
+ Revision: 95103
- 1.4.7

* Tue Oct 31 2006 David Walluck <walluck@mandriva.org> 0:1.4.6-1mdv2007.1
+ Revision: 73920
- 1.4.6
- Import itext



* Fri Sep 15 2006 David Walluck <walluck@mandriva.org> 0:1.4.5-1mdv2007.0
- 1.4.5

* Mon Sep 04 2006 David Walluck <walluck@mandriva.org> 0:1.4.4-1mdv2007.0
- 1.4.4

* Mon Aug 28 2006 David Walluck <walluck@mandriva.org> 0:1.4.3-2mdv2007.0
- 1.4.4
- do not require dos2unix for build

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:1.4.3-1mdv2007.0
- 1.4.3

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:1.3-1.8.1mdv2007.0
- release

* Tue Feb 28 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_8
- Rebuild with new compiler.

* Mon Jan 17 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_6
- Remove epoch from changelog versions.

* Mon Jan 16 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_5
- Remove empty /usr/share/java/itext.
- Move manual and javadoc packages to Documentation group.
- Add itext-no-javadoc-web-links.patch.

* Mon Jan 16 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_4
- Fixed Group.
- Cleaned up changelog versions.
- Use dos2unix on doc files.
- Don't create unversioned javadoc link.

* Thu Jan 13 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_3
- Remove javadoc %%postun, as that should get handled by the fact
  that the file is ghosted.
- Improve javadoc and manual subpackage descriptions.

* Wed Jan  4 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_2
- Add ant-trax and jaxp_transform_impl dependencies.
- Set OPT_JAR_LIST.

* Wed Jan  4 2006 Anthony Green <green@redhat.com> - 1.3-1jpp_1
- Build native code.
- Add patch to remove proprietary jpeg encoding library usage.
- Fix BuildRequires.
- Tweak BuildRoot.

* Thu Aug 26 2005 Ralph Apel <r.apel at r-apel.de> - 1.3-1jpp
- Upgrade to 1.3
- Now one jar only

* Wed Aug 25 2004 Ralph Apel <r.apel at r-apel.de> - 1.02b-2jpp
- Build with ant-1.6.2
- Relax some versioned dependencies

* Fri Feb 27 2004 Ralph Apel <r.apel at r-apel.de> - 1.02b-1jpp
- First JPackage release
